Bug 17487 - Не возможно создать работающее соединение pppoe средствами NetworkManager
: Не возможно создать работающее соединение pppoe средствами NetworkManager
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/NetworkManager)
: unspecified
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-10-09 02:04 by
Modified: 2008-11-13 00:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-09 02:04:43
Создаём содединение pppoe в networkmanager, но соединится не получится.
В системный лог пояляется сообщение:
pppd[<pid>]: /usr/lib/pppd/2.4.4/rp-pppoe.so: cannot open shared object file:
No such file or directory

Ни один пакет в бранче не предоставляет rp-pppoe.so (в сизифе есть ppp-pppoe)
------- Comment #1 From 2008-10-09 02:06:43 -------
может собирать для 4.1 и ppp-pppoe? и сделать зависимость на него от
NetworkManager?
------- Comment #2 From 2008-10-14 14:45:07 -------
$ rpm -qpl /branches/4.1/i586/RPMS.classic/ppp-pppoe-2.4.4-alt10.i586.rpm
/usr/lib/pppd/2.4.4/rp-pppoe.so
/usr/sbin/pppoe-discovery

пакет ppp-pppoe в branch 4.1 есть

но зависимости у 

NetworkManager-0.7.0-alt3.svn.r3930.M41.6.i586.rpm

на ppp-pppoe нету
------- Comment #3 From 2008-11-04 16:53:22 -------
Зависимости быть, мне кажется, и не должно, в конце концов, не всем нужен
PPPoE. Хотя, наверное, было бы неплохо, чтобы кто-нибудь тянул ppp-pppoe как
зависимость.
------- Comment #4 From 2008-11-13 00:39:40 -------
В r3930.M41.7 добавлена зависимость